package net.sourceforge.sunshade.filewatcher;



public class FileModifiedListener implements NativeChangeListener
{
	private String file;
	private NativeChangeListener listener;

	FileModifiedListener(String file, NativeChangeListener listener)
	{
		super();
		this.file = file;
		this.listener = listener;
	}

	public void watchStarted(String fileName)
	{
		listener.watchStarted(file);
	}

	public void watchStopped(String fileName)
	{
		listener.watchStopped(file);
	}

	public void fileAdded(String fileName)
	{
		if (file.equals(fileName))
			listener.fileAdded(fileName);
	}

	public void fileRemoved(String fileName)
	{
		if (file.equals(fileName))
			listener.fileRemoved(fileName);
	}

	public void fileModified(String fileName)
	{
		if (file.equals(fileName))
			listener.fileModified(fileName);
	}

}
